List ExposureCalculation
List exposure calculations from a schedule. The results are returned from latest to oldest.
curl --request GET \
--url https://metrics.eu.confidence.dev/v1/scheduledExposureCalculations/{scheduledExposureCalculation}/exposureCalculations \
--header 'Authorization: Bearer <token>'{
"exposureCalculations": [
{
"exposureCalculationSpec": {
"assignmentTable": "<string>",
"assignmentFilter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
},
"exposureKey": "<string>",
"groups": [
{
"group": "<string>",
"variantKey": "<string>"
}
],
"splitDimensions": [
"<string>"
],
"exposureFilter": {
"factTable": "<string>",
"filter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
},
"displayName": "<string>"
},
"filters": [
{
"factTable": "<string>",
"filter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
},
"displayName": "<string>"
}
],
"entityFilter": {
"dimensionTable": "<string>",
"filter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
}
},
"entityFilters": [
{
"dimensionTable": "<string>",
"filter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
}
}
]
},
"startTime": {},
"endTime": {},
"entity": "<string>",
"sqlJob": "<string>",
"scheduleIteration": {},
"sql": "<string>",
"exposureTable": "<string>",
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"schedule": "<string>",
"retriggered": true,
"outdatedSourceDataInfo": {
"table": "<string>",
"expectedCount": 123,
"actualCount": 123,
"queryStartTime": {},
"queryEndTime": {}
},
"error": "<string>",
"labels": [
{}
],
"owner": "<string>"
}
],
"nextPageToken": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://confidence-auth-testing.mintlify.io/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
The maximum number of exposure calculations to fetch.
Token used for pagination.
Filtering for exposure calculations, follows the lucene query string format for example 'name: "scheduledExposureCalculations/abc/exposureCalculations/123"', see ExposureCalculation type for available fields.
Response
OK
ExposureCalculation: List of matching exposure calculations.
Show child attributes
Show child attributes
Token to fetch the next page, empty if no more pages.
curl --request GET \
--url https://metrics.eu.confidence.dev/v1/scheduledExposureCalculations/{scheduledExposureCalculation}/exposureCalculations \
--header 'Authorization: Bearer <token>'{
"exposureCalculations": [
{
"exposureCalculationSpec": {
"assignmentTable": "<string>",
"assignmentFilter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
},
"exposureKey": "<string>",
"groups": [
{
"group": "<string>",
"variantKey": "<string>"
}
],
"splitDimensions": [
"<string>"
],
"exposureFilter": {
"factTable": "<string>",
"filter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
},
"displayName": "<string>"
},
"filters": [
{
"factTable": "<string>",
"filter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
},
"displayName": "<string>"
}
],
"entityFilter": {
"dimensionTable": "<string>",
"filter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
}
},
"entityFilters": [
{
"dimensionTable": "<string>",
"filter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
}
}
]
},
"startTime": {},
"endTime": {},
"entity": "<string>",
"sqlJob": "<string>",
"scheduleIteration": {},
"sql": "<string>",
"exposureTable": "<string>",
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"schedule": "<string>",
"retriggered": true,
"outdatedSourceDataInfo": {
"table": "<string>",
"expectedCount": 123,
"actualCount": 123,
"queryStartTime": {},
"queryEndTime": {}
},
"error": "<string>",
"labels": [
{}
],
"owner": "<string>"
}
],
"nextPageToken": "<string>"
}
